Index: trunk/ab5.0/ablib/src/Classes/System/Collections/Generic/misc.ab
===================================================================
--- trunk/ab5.0/ablib/src/Classes/System/Collections/Generic/misc.ab	(revision 607)
+++ trunk/ab5.0/ablib/src/Classes/System/Collections/Generic/misc.ab	(revision 610)
@@ -22,6 +22,6 @@
 	Inherits IEnumerable<T>
 	' Property
-	Function Count() As Long
-	Function IsReadOnly() As Boolean
+	Function Count () As Long
+	Function IsReadOnly () As Boolean
 
 	' Methods
@@ -45,5 +45,5 @@
 	Function IndexOf ( item As T ) As Long
 	Sub Insert ( index As Long, item As T )
-	Sub RemoveAt( index As Long )
+	Sub RemoveAt ( index As Long )
 End Interface
 
Index: trunk/ab5.0/ablib/src/Classes/System/Collections/ObjectModel/Collection.ab
===================================================================
--- trunk/ab5.0/ablib/src/Classes/System/Collections/ObjectModel/Collection.ab	(revision 610)
+++ trunk/ab5.0/ablib/src/Classes/System/Collections/ObjectModel/Collection.ab	(revision 610)
@@ -0,0 +1,111 @@
+
+Namespace System
+Namespace Collections
+Namespace ObjectModel
+
+
+Class Collection<T>
+	Implements System.Collections.Generic.IList<T>
+
+Public
+	'Collection クラスの新しいインスタンスを初期化します。 
+	Sub Collection (  )
+	End Sub
+	Sub Collection ( list As System.Collections.Generic.IList<T> )
+	End Sub
+
+Public
+	'Collection に実際に格納されている要素の数を取得します。
+	Override Function Count () As Long
+	End Function
+
+	'Item 指定したインデックスにある要素を取得または設定します。 
+	Sub Operator[] ( index As Long, item As T )
+	End Sub
+	Function Operator[] ( index As Long ) As T
+	End Function
+
+Protected
+	'Collection をラップする IList ラッパーを取得します。 
+	Function Items (  ) As System.Collections.Generic.IList<T>
+	End Function
+
+Public
+	'Collection の末尾にオブジェクトを追加します。 
+	Override Sub Add ( item As T )
+	End Sub
+
+	'Collection からすべての要素を削除します。 
+	Override Sub Clear ()
+	End Sub
+
+	'ある要素が Collection 内に存在するかどうかを判断します。 
+/*	Function Contains ( item As T ) As Boolean
+	End Function*/
+
+	'Collection 全体を互換性のある 1 次元の Array にコピーします。コピー操作は、コピー先の配列の指定したインデックスから始まります。 
+	/*CopyTo*/
+
+	'Collection を反復処理する列挙子を返します。 
+	Override Function GetEnumerator () As IEnumerator<T>
+	End Function
+
+	'指定したオブジェクトを検索し、Collection 全体内で最初に見つかった位置の 0 から始まるインデックスを返します。 
+	Override Function IndexOf ( item As T ) As Long
+	End Function
+
+	'Collection 内の指定したインデックスの位置に要素を挿入します。 
+	Override Sub Insert ( index As Long, item As T )
+	End Sub
+
+	'Collection 内で最初に見つかった特定のオブジェクトを削除します。 
+	Override Function Remove ( item As T ) As Boolean
+	End Function
+
+	'Collection の指定したインデックスにある要素を削除します。 
+	Override Sub RemoveAt ( index As Long )
+	End Sub
+
+	'現在の Object を表す String を返します。 (Object から継承されます。) 
+	Override Function ToString () As String
+	End Function
+
+Protected
+'Collection からすべての要素を削除します。 
+	Virtual Sub ClearItems ( )
+	End Sub
+
+	'Collection 内の指定したインデックスの位置に要素を挿入します。 
+	Virtual Sub InsertItem ( index As Long, item As T )
+	End Sub
+
+	'Collection の指定したインデックスにある要素を削除します。 
+	Virtual Function RemoveItem ( item As T ) As Boolean
+	End Function
+	
+
+	'指定したインデックス位置にある要素を置き換えます。 
+	Virtual Sub SetItem ( index As Long, item As T )
+	End Sub
+
+
+Public
+	/*
+System.Collections.ICollection.CopyTo ICollection の要素を Array にコピーします。Array の特定のインデックスからコピーが開始されます。 
+System.Collections.IEnumerable.GetEnumerator コレクションを反復処理する列挙子を返します。 
+System.Collections.IList.Add IList に項目を追加します。 
+System.Collections.IList.Contains IList に特定の値が格納されているかどうかを判断します。 
+System.Collections.IList.IndexOf IList 内での指定した項目のインデックスを調べます。 
+System.Collections.IList.Insert IList 内の指定したインデックスの位置に項目を挿入します。 
+System.Collections.IList.Remove IList 内で最初に見つかった特定のオブジェクトを削除します。 
+System.Collections.Generic.ICollection<T>.IsReadOnly ICollection が読み取り専用かどうかを示す値を取得します。 
+System.Collections.ICollection.IsSynchronized ICollection へのアクセスが同期されている (スレッド セーフである) かどうかを示す値を取得します。 
+System.Collections.ICollection.SyncRoot ICollection へのアクセスを同期するために使用できるオブジェクトを取得します。 
+System.Collections.IList.IsFixedSize IList が固定サイズかどうかを示す値を取得します。 
+System.Collections.IList.IsReadOnly IList が読み取り専用かどうかを示す値を取得します。 
+	*/
+End Class
+	
+End Namespace
+End Namespace
+End Namespace