Index: trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 609)
+++ trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 613)
@@ -101,5 +101,4 @@
 BOOL CALLBACK RadToolButtonsProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,WndNum;
 	HWND hParent;
@@ -200,5 +199,4 @@
 LRESULT CALLBACK RadToolsWindow(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	extern HFONT hStatusFont;
 	int i;
@@ -355,5 +353,4 @@
 	extern HWND hClient,hOwner;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i3;
 	char temporary[MAX_PATH],temp2[MAX_PATH];
@@ -480,5 +477,4 @@
 BOOL CALLBACK DlgRadProperty_Window_ExStyle(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i;
 
@@ -552,5 +548,4 @@
 	extern HANDLE hHeap;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i3,i4;
 	static BOOL bInitial;
@@ -1118,5 +1113,4 @@
 	extern HANDLE hHeap;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i3;
 	char *temporary;
@@ -1251,5 +1245,4 @@
 	extern HWND hClient,hOwner;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i3;
 	char *temporary;
@@ -1308,5 +1301,4 @@
 	extern HANDLE hHeap;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 
 	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
@@ -1375,5 +1367,4 @@
 BOOL CALLBACK DlgRadProperty_Item_ExStyle(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i;
 
@@ -1438,5 +1429,4 @@
 BOOL CALLBACK RadProperty_ButtonProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -1661,5 +1651,4 @@
 BOOL CALLBACK RadProperty_CheckBoxProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -1953,5 +1942,4 @@
 BOOL CALLBACK RadProperty_ComboBoxProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -2218,5 +2206,4 @@
 BOOL CALLBACK RadProperty_EditProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -2500,5 +2487,4 @@
 BOOL CALLBACK RadProperty_GroupBoxProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -2653,5 +2639,4 @@
 	extern HANDLE hHeap;
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	char temporary[MAX_PATH];
@@ -3036,5 +3021,4 @@
 BOOL CALLBACK RadProperty_ListViewProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -3329,5 +3313,4 @@
 BOOL CALLBACK RadProperty_ListBoxProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -3584,5 +3567,4 @@
 BOOL CALLBACK RadProperty_ProgressBarProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2;
 	static BOOL bInitial;
@@ -3670,5 +3652,4 @@
 BOOL CALLBACK RadProperty_RadioButtonProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -3905,5 +3886,4 @@
 BOOL CALLBACK RadProperty_ScrollBarProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -3991,5 +3971,4 @@
 BOOL CALLBACK RadProperty_StaticProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -4123,5 +4102,4 @@
 BOOL CALLBACK RadProperty_TrackBarProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -4277,5 +4255,4 @@
 BOOL CALLBACK RadProperty_TreeViewProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2;
 	static BOOL bInitial;
@@ -4490,5 +4467,4 @@
 BOOL CALLBACK RadProperty_UpDownProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i,i2,i3;
 	static BOOL bInitial;
@@ -4664,5 +4640,4 @@
 LRESULT CALLBACK RadPropertyWindow(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam){
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
-	extern PROJECTINFO ProjectInfo;
 	int i;
 	RECT rect;