Index: trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 613)
+++ trunk/ab5.0/abdev/abdev/RadToolsAndPropertyProc.cpp	(revision 615)
@@ -360,5 +360,5 @@
 				SetPosCenter(hwnd);
 				i=GetWndNum(GetWindow(hClient,GW_CHILD));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 				sprintf(temporary,"h%s",pWindowInfo->name);
 				sprintf(temp2,"%sProc",pWindowInfo->name);
@@ -394,5 +394,5 @@
 
 						i=GetWndNum(GetWindow(hClient,GW_CHILD));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						RAD_UNDOSTATE_NAME names,NoticeNames;
@@ -484,5 +484,5 @@
 				SetPosCenter(hwnd);
 				i=GetWndNum(GetWindow(hClient,GW_CHILD));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 				if(pWindowInfo->ExStyle&WS_EX_TOPMOST) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TOPMOST,BM_SETCHECK,BST_CHECKED,0);
 				if(pWindowInfo->ExStyle&WS_EX_ACCEPTFILES) SendDlgItemMessage(hwnd,IDC_EXSTYLE_ACCEPTFILES,BM_SETCHECK,BST_CHECKED,0);
@@ -523,5 +523,5 @@
 							style|=WS_EX_CONTROLPARENT;
 
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						if(style==pWindowInfo->ExStyle){
@@ -556,5 +556,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_WINDOWNAME,pWindowInfo->name);
@@ -704,5 +704,5 @@
 						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_WINDOW_RENAME),hwnd,(DLGPROC)DlgRadProperty_Window_Rename)) return 1;
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 						SetDlgItemText(hwnd,IDC_WINDOWNAME,pWindowInfo->name);
 						SetDlgItemText(hwnd,IDC_HANDLE,pWindowInfo->HandleName);
@@ -713,5 +713,5 @@
 						if(!DialogBox(hResInst,MAKEINTRESOURCE(IDD_RAD_PROP_ITEM_RENAMECAPTION),hwnd,(DLGPROC)DlgRadProperty_Item_RenameCaption)) return 1;
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 						SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->caption);
 						return 1;
@@ -720,5 +720,5 @@
 					{
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 						LOGFONT lf;
 						lf=pWindowInfo->LogFont;
@@ -735,5 +735,5 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						i3=SendDlgItemMessage(hwnd,IDC_BGCOLOR,CB_GETCURSEL,0,0);
@@ -811,5 +811,5 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -831,5 +831,5 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -852,5 +852,5 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -869,5 +869,5 @@
 					if(HIWORD(wParam)==CBN_SELCHANGE){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -890,5 +890,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -907,5 +907,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -923,5 +923,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -939,5 +939,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -955,5 +955,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -971,5 +971,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -986,5 +986,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -1001,5 +1001,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -1017,5 +1017,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -1033,5 +1033,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -1049,5 +1049,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -1065,5 +1065,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -1090,5 +1090,5 @@
 					if(HIWORD(wParam)==BN_CLICKED){
 						i=GetWndNum(GetParent(GetParent(hwnd)));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						//変更情報
@@ -1122,5 +1122,5 @@
 				SetPosCenter(hwnd);
 				i=GetWndNum(GetWindow(hClient,GW_CHILD));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 				if(MdiInfo[i].MdiRadInfo->SelectingItem[0]==SELECT_WINDOW)
 					SetDlgItemText(hwnd,IDC_CAPTION,pWindowInfo->caption);
@@ -1134,5 +1134,5 @@
 					{
 						i=GetWndNum(GetWindow(hClient,GW_CHILD));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_CAPTION))+1;
@@ -1253,5 +1253,5 @@
 				SetPosCenter(hwnd);
 				i=GetWndNum(GetWindow(hClient,GW_CHILD));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
 			}
@@ -1262,5 +1262,5 @@
 					{
 						i=GetWndNum(GetWindow(hClient,GW_CHILD));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						i3=GetWindowTextLength(GetDlgItem(hwnd,IDC_IDNAME))+1;
@@ -1302,5 +1302,5 @@
 	extern MDIINFO MdiInfo[MAX_WNDNUM];
 
-	WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
 
 	switch(LOWORD(wParam)){
@@ -1374,5 +1374,5 @@
 				SetPosCenter(hwnd);
 				i=GetWndNum(GetWindow(hClient,GW_CHILD));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 				if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].ExStyle&WS_EX_ACCEPTFILES) SendDlgItemMessage(hwnd,IDC_EXSTYLE_ACCEPTFILES,BM_SETCHECK,BST_CHECKED,0);
 				if(pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].ExStyle&WS_EX_TRANSPARENT) SendDlgItemMessage(hwnd,IDC_EXSTYLE_TRANSPARENT,BM_SETCHECK,BST_CHECKED,0);
@@ -1387,5 +1387,5 @@
 					{
 						i=GetWndNum(GetWindow(hClient,GW_CHILD));
-						WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+						WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 						DWORD style;
@@ -1437,5 +1437,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -1508,5 +1508,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[i2];
+				WindowInfo *pWindowInfo = ProjectInfo.windowInfos[i2];
 
 				//共通スタイル
@@ -1659,5 +1659,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -1735,5 +1735,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[i2];
+				WindowInfo *pWindowInfo = ProjectInfo.windowInfos[i2];
 
 				//共通スタイル
@@ -1950,5 +1950,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -2017,5 +2017,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = &ProjectInfo.windowInfos[i2];
+				WindowInfo *pWindowInfo = ProjectInfo.windowInfos[i2];
 
 				//共通スタイル
@@ -2214,5 +2214,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -2271,5 +2271,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -2495,5 +2495,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -2543,5 +2543,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -2648,5 +2648,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -2759,5 +2759,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -3029,5 +3029,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -3111,5 +3111,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -3321,5 +3321,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -3391,5 +3391,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -3575,5 +3575,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -3601,5 +3601,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -3660,5 +3660,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -3732,5 +3732,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -3894,5 +3894,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -3933,5 +3933,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -3979,5 +3979,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -4024,5 +4024,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -4110,5 +4110,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -4166,5 +4166,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -4263,5 +4263,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -4298,5 +4298,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル
@@ -4475,5 +4475,5 @@
 				bInitial=1;
 				i=GetWndNum(GetParent(GetParent(hwnd)));
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				SetDlgItemText(hwnd,IDC_IDNAME,pWindowInfo->pChildInfo[MdiInfo[i].MdiRadInfo->SelectingItem[0]].IdName);
@@ -4533,5 +4533,5 @@
 				if(i==-1) return 1;
 				i2=GetWndInfoNum(MdiInfo[i].path);
-				WINDOW_INFO *pWindowInfo = GetWndInfo(MdiInfo[i].path);
+				WindowInfo *pWindowInfo = GetWndInfo(MdiInfo[i].path);
 
 				//共通スタイル