Index: trunk/ab5.0/abdev/abdev/WindowControl.cpp
===================================================================
--- trunk/ab5.0/abdev/abdev/WindowControl.cpp	(revision 617)
+++ trunk/ab5.0/abdev/abdev/WindowControl.cpp	(revision 618)
@@ -14,6 +14,6 @@
 
 int GetWndInfoNum(char *name){
-	for( int i=0;i<static_cast<int>(ProjectInfo.windowInfos.size());i++){
-		if(lstrcmpi(name,ProjectInfo.windowInfos[i]->GetName().c_str())==0) return i;
+	for( int i=0;i<static_cast<int>(projectInfo.windowInfos.size());i++){
+		if(lstrcmpi(name,projectInfo.windowInfos[i]->GetName().c_str())==0) return i;
 	}
 	return -1;
@@ -21,5 +21,5 @@
 WindowInfo *GetWndInfo( char *name )
 {
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(lstrcmpi(name,pWindowInfo->GetName().c_str())==0) return pWindowInfo;
@@ -85,5 +85,5 @@
 
 	for(i3--;i3>=0;i3--){
-		CHILDINFO *pChildInfo = ProjectInfo.windowInfos[WndInfoNum]->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[i3]];
+		CHILDINFO *pChildInfo = projectInfo.windowInfos[WndInfoNum]->childWindowInfos[MdiInfo[WndNum].MdiRadInfo->SelectingItem[i3]];
 
 		MemSize+=lstrlen(pChildInfo->IdName)+1+
@@ -526,5 +526,5 @@
 	char temporary[MAX_PATH],*temp2;
 
-	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
 
 	Command[0]=0;
@@ -550,9 +550,9 @@
 		if(pWindowInfo->MenuID){
 			//メニュー作成
-			for(i2=0;i2<ProjectInfo.NumberOfMenu;i2++){
-				if(lstrcmpi(ProjectInfo.pMenuInfo[i2].IdName,pWindowInfo->MenuID)==0) break;
-			}
-			if(i2!=ProjectInfo.NumberOfMenu){
-				sprintf(Command+i,"%s\tSetMenu(hWnd,hMenu_%s)\r\n",spaces,ProjectInfo.pMenuInfo[i2].IdName);
+			for(i2=0;i2<projectInfo.NumberOfMenu;i2++){
+				if(lstrcmpi(projectInfo.pMenuInfo[i2].IdName,pWindowInfo->MenuID)==0) break;
+			}
+			if(i2!=projectInfo.NumberOfMenu){
+				sprintf(Command+i,"%s\tSetMenu(hWnd,hMenu_%s)\r\n",spaces,projectInfo.pMenuInfo[i2].IdName);
 				i+=lstrlen(Command+i);
 			}
@@ -726,8 +726,8 @@
 		if(pWindowInfo->MenuID){
 			//メニューを解放
-			for(i2=0;i2<ProjectInfo.NumberOfMenu;i2++){
-				if(lstrcmpi(ProjectInfo.pMenuInfo[i2].IdName,pWindowInfo->MenuID)==0) break;
-			}
-			if(i2!=ProjectInfo.NumberOfMenu){
+			for(i2=0;i2<projectInfo.NumberOfMenu;i2++){
+				if(lstrcmpi(projectInfo.pMenuInfo[i2].IdName,pWindowInfo->MenuID)==0) break;
+			}
+			if(i2!=projectInfo.NumberOfMenu){
 				sprintf(Command+i,"%s\tSetMenu(hWnd,NULL)\r\n",spaces);
 				i+=lstrlen(Command+i);
@@ -990,5 +990,5 @@
 	i2=lstrlen(buffer);
 
-	if(ProjectInfo.dwOption&PJ_OP_COMMCTRL){
+	if(projectInfo.dwOption&PJ_OP_COMMCTRL){
 		//コマンコントロールを初期化
 		lstrcpy(buffer+i2,"Dim _RadSys_InitCtrls As INITCOMMONCONTROLSEX\r\n");
@@ -1009,5 +1009,5 @@
 	i4=1000;
 	i5=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		BOOST_FOREACH( const CHILDINFO *pChildInfo, pWindowInfo->childWindowInfos )
@@ -1038,5 +1038,5 @@
 
 	//メニューのIDを定義
-	ppNames=GetMenuItemConstData(ProjectInfo.pMenuInfo,ProjectInfo.NumberOfMenu,&i4,ppNames,&i5,buffer,&i2);
+	ppNames=GetMenuItemConstData(projectInfo.pMenuInfo,projectInfo.NumberOfMenu,&i4,ppNames,&i5,buffer,&i2);
 
 	HeapDefaultFree(ppNames);
@@ -1046,5 +1046,5 @@
 
 	//ハンドル変数を定義
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		sprintf(buffer+i2,"Dim %s As HWND\r\n",pWindowInfo->GetHandleName().c_str());
@@ -1082,5 +1082,5 @@
 	i2+=lstrlen(buffer+i2);
 	i=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(pWindowInfo->bgColor<=0&&
@@ -1097,5 +1097,5 @@
 				sprintf(buffer+i2,"_RadSys_hBackBrush%d=CreatePatternBrush(LoadImage(GetModuleHandle(0),%s,IMAGE_BITMAP,0,0,LR_DEFAULTSIZE or LR_SHARED))\r\n",
 					i,
-					ProjectInfo.res.pBitmapResInfo[pWindowInfo->bgColor-0x1000].IdName);
+					projectInfo.res.pBitmapResInfo[pWindowInfo->bgColor-0x1000].IdName);
 				i2+=lstrlen(buffer+i2);
 		}
@@ -1108,5 +1108,5 @@
 
 	//イメージ ボックス用の変数を定義
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		BOOST_FOREACH( const CHILDINFO *pChildInfo, pWindowInfo->childWindowInfos )
@@ -1131,9 +1131,9 @@
 
 	//メニュー作成
-	for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-		sprintf(temporary,"hMenu_%s",ProjectInfo.pMenuInfo[i].IdName);
+	for(i=0;i<projectInfo.NumberOfMenu;i++){
+		sprintf(temporary,"hMenu_%s",projectInfo.pMenuInfo[i].IdName);
 
 		//InsertMenuItem郡
-		i2+=GetMakeMenuCommand(ProjectInfo.pMenuInfo[i].pMenuInfo,ProjectInfo.pMenuInfo[i].NumberOfMenu,temporary,buffer+i2,1);
+		i2+=GetMakeMenuCommand(projectInfo.pMenuInfo[i].pMenuInfo,projectInfo.pMenuInfo[i].NumberOfMenu,temporary,buffer+i2,1);
 
 		lstrcpy(buffer+i2,"\r\n");
@@ -1149,11 +1149,11 @@
 	//////////////////////////
 	//オブジェクトの解放処理
-	sprintf(buffer+i2,"Sub %s_DestroyObjects()\r\n",ProjectInfo.name);
+	sprintf(buffer+i2,"Sub %s_DestroyObjects()\r\n",projectInfo.name);
 	i2+=lstrlen(buffer+i2);
 
 	//メニュー解放
-	for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-		sprintf(temporary,"hMenu_%s",ProjectInfo.pMenuInfo[i].IdName);
-		i2+=GetDestroyMenuCommand(ProjectInfo.pMenuInfo[i].pMenuInfo,ProjectInfo.pMenuInfo[i].NumberOfMenu,temporary,buffer+i2);
+	for(i=0;i<projectInfo.NumberOfMenu;i++){
+		sprintf(temporary,"hMenu_%s",projectInfo.pMenuInfo[i].IdName);
+		i2+=GetDestroyMenuCommand(projectInfo.pMenuInfo[i].pMenuInfo,projectInfo.pMenuInfo[i].NumberOfMenu,temporary,buffer+i2);
 
 		while(i2>65535*(size-1)){
@@ -1163,5 +1163,5 @@
 	}
 
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		//フォントハンドル解放
@@ -1179,5 +1179,5 @@
 	i2+=lstrlen(buffer+i2);
 	i=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(pWindowInfo->bgColor<=0&&
@@ -1198,5 +1198,5 @@
 
 	i=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(i!=0){
@@ -1363,5 +1363,5 @@
 	sw1=0;
 	i=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(pWindowInfo->type==WNDTYPE_MODALDLG){
@@ -1462,5 +1462,5 @@
 	i2+=lstrlen(buffer+i2);
 	i=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(pWindowInfo->type==WNDTYPE_MODELESSDLG){
@@ -1513,5 +1513,5 @@
 	///////////////////////
 	// 保存（Callback.wbp）
-	sprintf(temporary,"%sCallback.wbp",ProjectInfo.dir);
+	sprintf(temporary,"%sCallback.wbp",projectInfo.dir);
 	WriteBuffer(temporary,buffer,i2);
 
@@ -1535,5 +1535,5 @@
 
 	i=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(pWindowInfo->type==WNDTYPE_DEFAULT){
@@ -1600,5 +1600,5 @@
 	/////////////////////////
 	// 保存（MakeWindow.wbp）
-	sprintf(temporary,"%sMakeWindow.wbp",ProjectInfo.dir);
+	sprintf(temporary,"%sMakeWindow.wbp",projectInfo.dir);
 	WriteBuffer(temporary,buffer,i2);
 	HeapDefaultFree(buffer);
@@ -1640,5 +1640,5 @@
 	buffer=(char *)HeapAlloc(hHeap,0,GENERAL_SIZE*size);
 	i2=0;
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		sprintf(buffer+i2,"WINDOW:%s\r\n",pWindowInfo->GetName().c_str());
@@ -1724,8 +1724,8 @@
 		}
 	}
-	for(i=0;i<ProjectInfo.NumberOfMenu;i++){
-		sprintf(buffer+i2,"MENU:%s\r\n",ProjectInfo.pMenuInfo[i].IdName);
-		i2+=lstrlen(buffer+i2);
-		i2+=GetSaveMenuData(buffer+i2,1,ProjectInfo.pMenuInfo[i].pMenuInfo,ProjectInfo.pMenuInfo[i].NumberOfMenu);
+	for(i=0;i<projectInfo.NumberOfMenu;i++){
+		sprintf(buffer+i2,"MENU:%s\r\n",projectInfo.pMenuInfo[i].IdName);
+		i2+=lstrlen(buffer+i2);
+		i2+=GetSaveMenuData(buffer+i2,1,projectInfo.pMenuInfo[i].pMenuInfo,projectInfo.pMenuInfo[i].NumberOfMenu);
 		sprintf(buffer+i2,"END\r\n",windowInfos[i]->GetName().c_str());
 		i2+=lstrlen(buffer+i2);
@@ -1738,5 +1738,5 @@
 	HeapDefaultFree(buffer);
 
-	ProjectInfo.ModifyOfMaterial=0;
+	projectInfo.ModifyOfMaterial=0;
 }
 
@@ -1845,8 +1845,8 @@
 	//temp2はこの後の処理の一時保存バッファにも利用するので解放しない
 
-	ProjectInfo.NumberOfMenu=0;
-	ProjectInfo.pMenuInfo=(MENU_INFO *)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,1);
-
-	ProjectInfo.windowInfos.Clear();
+	projectInfo.NumberOfMenu=0;
+	projectInfo.pMenuInfo=(MENU_INFO *)HeapAlloc(hHeap,HEAP_ZERO_MEMORY,1);
+
+	projectInfo.windowInfos.Clear();
 
 	for(i=0,i3=0;;i++){
@@ -1883,113 +1883,113 @@
 			//ウィンドウ
 			if(lstrcmpi(temporary,"WINDOW")==0&&i3==0){
-				ProjectInfo.windowInfos.push_back( new WindowInfo() );
+				projectInfo.windowInfos.push_back( new WindowInfo() );
 				i3=1;
 
-				ProjectInfo.windowInfos.back()->SetName( temp2 );
+				projectInfo.windowInfos.back()->SetName( temp2 );
 			}
 			else if(lstrcmpi(temporary,"HANDLE")==0&&i3==1){
-				ProjectInfo.windowInfos.back()->SetHandleName( temp2 );
+				projectInfo.windowInfos.back()->SetHandleName( temp2 );
 			}
 			else if(lstrcmpi(temporary,"POINT")==0&&i3==1){
 				sscanf(temp2,"%d,%d",
-					&ProjectInfo.windowInfos.back()->pos.x,
-					&ProjectInfo.windowInfos.back()->pos.y);
-				if(ProjectInfo.windowInfos.back()->pos.x==-1) ProjectInfo.windowInfos.back()->pos.x=CW_USEDEFAULT;
-				if(ProjectInfo.windowInfos.back()->pos.y==-1) ProjectInfo.windowInfos.back()->pos.y=CW_USEDEFAULT;
+					&projectInfo.windowInfos.back()->pos.x,
+					&projectInfo.windowInfos.back()->pos.y);
+				if(projectInfo.windowInfos.back()->pos.x==-1) projectInfo.windowInfos.back()->pos.x=CW_USEDEFAULT;
+				if(projectInfo.windowInfos.back()->pos.y==-1) projectInfo.windowInfos.back()->pos.y=CW_USEDEFAULT;
 			}
 			else if(lstrcmpi(temporary,"SIZE")==0&&i3==1){
 				sscanf(temp2,"%d,%d",
-					&ProjectInfo.windowInfos.back()->size.cx,
-					&ProjectInfo.windowInfos.back()->size.cy);
+					&projectInfo.windowInfos.back()->size.cx,
+					&projectInfo.windowInfos.back()->size.cy);
 			}
 			else if(lstrcmpi(temporary,"CAPTION")==0&&i3==1){
 				if(temp2[0]=='\"'&&temp2[lstrlen(temp2)-1]=='\"'){
 					temp2[lstrlen(temp2)-1]=0;
-					ProjectInfo.windowInfos.back()->caption=(char *)HeapAlloc(hHeap,0,i2+1);
-					lstrcpy(ProjectInfo.windowInfos.back()->caption,temp2+1);
+					projectInfo.windowInfos.back()->caption=(char *)HeapAlloc(hHeap,0,i2+1);
+					lstrcpy(projectInfo.windowInfos.back()->caption,temp2+1);
 				}
 			}
-			else if(lstrcmpi(temporary,"STYLE")==0&&i3==1) ProjectInfo.windowInfos.back()->style=GetValue(temp2);
-			else if(lstrcmpi(temporary,"EXSTYLE")==0&&i3==1) ProjectInfo.windowInfos.back()->ExStyle=GetValue(temp2);
+			else if(lstrcmpi(temporary,"STYLE")==0&&i3==1) projectInfo.windowInfos.back()->style=GetValue(temp2);
+			else if(lstrcmpi(temporary,"EXSTYLE")==0&&i3==1) projectInfo.windowInfos.back()->ExStyle=GetValue(temp2);
 			else if(lstrcmpi(temporary,"MENUID")==0&&i3==1){
-				ProjectInfo.windowInfos.back()->MenuID=(char *)HeapAlloc(hHeap,0,i2+1);
-				lstrcpy(ProjectInfo.windowInfos.back()->MenuID,temp2);
-			}
-			else if(lstrcmpi(temporary,"ID")==0&&i3==1) ProjectInfo.windowInfos.back()->id=GetValue(temp2);
+				projectInfo.windowInfos.back()->MenuID=(char *)HeapAlloc(hHeap,0,i2+1);
+				lstrcpy(projectInfo.windowInfos.back()->MenuID,temp2);
+			}
+			else if(lstrcmpi(temporary,"ID")==0&&i3==1) projectInfo.windowInfos.back()->id=GetValue(temp2);
 			else if(lstrcmpi(temporary,"BGCOLOR")==0&&i3==1){
-				ProjectInfo.windowInfos.back()->bgColor=GetValue(temp2);
-				if(ProjectInfo.dwVersion<=3){
+				projectInfo.windowInfos.back()->bgColor=GetValue(temp2);
+				if(projectInfo.dwVersion<=3){
 					//プロジェクトバージョンが3以前のときは新値に変換する
-					if(ProjectInfo.windowInfos.back()->bgColor==-1)
-						ProjectInfo.windowInfos.back()->bgColor=-(int)RGB(255,255,255);
+					if(projectInfo.windowInfos.back()->bgColor==-1)
+						projectInfo.windowInfos.back()->bgColor=-(int)RGB(255,255,255);
 				}
 			}
 			else if(lstrcmpi(temporary,"FONT")==0&&i3==1){
 				i5=GetOneParameter(temp2,0,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfHeight=GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfHeight=GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfWidth=GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfWidth=GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfEscapement=GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfEscapement=GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfOrientation=GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfOrientation=GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfWeight=GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfWeight=GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfItalic=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfItalic=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfUnderline=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfUnderline=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfStrikeOut=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfStrikeOut=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfCharSet=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfCharSet=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfOutPrecision=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfOutPrecision=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfClipPrecision=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfClipPrecision=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfQuality=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfQuality=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
-				ProjectInfo.windowInfos.back()->LogFont.lfPitchAndFamily=(BYTE)GetValue(temp3);
+				projectInfo.windowInfos.back()->LogFont.lfPitchAndFamily=(BYTE)GetValue(temp3);
 
 				i5=GetOneParameter(temp2,i5,temp3);
 				RemoveStringQuotes(temp3);
-				lstrcpy(ProjectInfo.windowInfos.back()->LogFont.lfFaceName,temp3);
+				lstrcpy(projectInfo.windowInfos.back()->LogFont.lfFaceName,temp3);
 			}
 			else if(lstrcmpi(temporary,"ICONID")==0&&i3==1){
-				ProjectInfo.windowInfos.back()->IconResName=(char *)HeapAlloc(hHeap,0,i2+1);
-				lstrcpy(ProjectInfo.windowInfos.back()->IconResName,temp2);
+				projectInfo.windowInfos.back()->IconResName=(char *)HeapAlloc(hHeap,0,i2+1);
+				lstrcpy(projectInfo.windowInfos.back()->IconResName,temp2);
 			}
 			else if(lstrcmpi(temporary,"CLASS")==0&&i3==1){
 				if(temp2[0]=='\"'&&temp2[lstrlen(temp2)-1]=='\"'){
 					temp2[lstrlen(temp2)-1]=0;
-					ProjectInfo.windowInfos.back()->ClassName=(char *)HeapAlloc(hHeap,0,i2+1);
-					lstrcpy(ProjectInfo.windowInfos.back()->ClassName,temp2+1);
+					projectInfo.windowInfos.back()->ClassName=(char *)HeapAlloc(hHeap,0,i2+1);
+					lstrcpy(projectInfo.windowInfos.back()->ClassName,temp2+1);
 				}
 			}
 			else if(lstrcmpi(temporary,"CALLBACK")==0&&i3==1){
-				ProjectInfo.windowInfos.back()->CallBackName=(char *)HeapAlloc(hHeap,0,i2+1);
-				lstrcpy(ProjectInfo.windowInfos.back()->CallBackName,temp2);
+				projectInfo.windowInfos.back()->CallBackName=(char *)HeapAlloc(hHeap,0,i2+1);
+				lstrcpy(projectInfo.windowInfos.back()->CallBackName,temp2);
 			}
 
 			//以前のバージョンとの互換用
-			else if(lstrcmpi(temporary,"DLGTMP")==0&&i3==1) ProjectInfo.windowInfos.back()->type=GetValue(temp2);
-
-			else if(lstrcmpi(temporary,"TYPE")==0&&i3==1) ProjectInfo.windowInfos.back()->type=GetValue(temp2);
+			else if(lstrcmpi(temporary,"DLGTMP")==0&&i3==1) projectInfo.windowInfos.back()->type=GetValue(temp2);
+
+			else if(lstrcmpi(temporary,"TYPE")==0&&i3==1) projectInfo.windowInfos.back()->type=GetValue(temp2);
 			else if(lstrcmpi(temporary,"FILEPATH")==0&&i3==1){
-				ProjectInfo.windowInfos.back()->filepath=(char *)HeapAlloc(hHeap,0,i2+1);
-				lstrcpy(ProjectInfo.windowInfos.back()->filepath,temp2);
+				projectInfo.windowInfos.back()->filepath=(char *)HeapAlloc(hHeap,0,i2+1);
+				lstrcpy(projectInfo.windowInfos.back()->filepath,temp2);
 			}
 			else if(lstrcmpi(temporary,"ITEM")==0&&i3==1){
@@ -2040,5 +2040,5 @@
 				}
 
-				ProjectInfo.windowInfos.back()->childWindowInfos.push_back( pChildInfo );
+				projectInfo.windowInfos.back()->childWindowInfos.push_back( pChildInfo );
 			}
 
@@ -2047,13 +2047,13 @@
 			//メニュー
 			else if(lstrcmpi(temporary,"MENU")==0&&i3==0){
-				ProjectInfo.NumberOfMenu++;
-				ProjectInfo.pMenuInfo=(MENU_INFO *)HeapReAlloc(hHeap,HEAP_ZERO_MEMORY,ProjectInfo.pMenuInfo,ProjectInfo.NumberOfMenu*sizeof(MENU_INFO));
-				i4=ProjectInfo.NumberOfMenu-1;
+				projectInfo.NumberOfMenu++;
+				projectInfo.pMenuInfo=(MENU_INFO *)HeapReAlloc(hHeap,HEAP_ZERO_MEMORY,projectInfo.pMenuInfo,projectInfo.NumberOfMenu*sizeof(MENU_INFO));
+				i4=projectInfo.NumberOfMenu-1;
 
 				//ID名
-				ProjectInfo.pMenuInfo[i4].IdName=(char *)HeapAlloc(hHeap,0,lstrlen(temp2)+1);
-				lstrcpy(ProjectInfo.pMenuInfo[i4].IdName,temp2);
-				ProjectInfo.pMenuInfo[i4].pMenuInfo=GetMenuData(buffer,&i,&ProjectInfo.pMenuInfo[i4].NumberOfMenu);
-				if(!ProjectInfo.pMenuInfo[i4].pMenuInfo){
+				projectInfo.pMenuInfo[i4].IdName=(char *)HeapAlloc(hHeap,0,lstrlen(temp2)+1);
+				lstrcpy(projectInfo.pMenuInfo[i4].IdName,temp2);
+				projectInfo.pMenuInfo[i4].pMenuInfo=GetMenuData(buffer,&i,&projectInfo.pMenuInfo[i4].NumberOfMenu);
+				if(!projectInfo.pMenuInfo[i4].pMenuInfo){
 					//"ウィンドウ定義ファイルが壊れています。\n\n%s"
 					sprintf(temporary,STRING_ERROR_BROKEN_WNDFILE,path);
@@ -2172,10 +2172,10 @@
 	//重複チェック
 	sprintf(temporary,"%s.sbp",NewWindow.name);
-	if(ProjectInfo.pobj_DBFileInfo->dupli_check(temporary)){
+	if(projectInfo.pobj_DBFileInfo->dupli_check(temporary)){
 		sprintf(temp2,"\"%s\" ファイルは既にプロジェクト内に存在します。",temporary);
 		MessageBox(hOwner,temp2,APPLICATION_NAME,MB_OK|MB_ICONEXCLAMATION);
 		return;
 	}
-	BOOST_FOREACH( WindowInfo *pWindowInfo, ProjectInfo.windowInfos )
+	BOOST_FOREACH( WindowInfo *pWindowInfo, projectInfo.windowInfos )
 	{
 		if(lstrcmpi(NewWindow.name,pWindowInfo->GetName().c_str())==0){
@@ -2199,26 +2199,26 @@
 	}
 
-	//ProjectInfo.windowInfos構造体コレクションに追加
-	ProjectInfo.windowInfos.push_back( new WindowInfo() );
+	//projectInfo.windowInfos構造体コレクションに追加
+	projectInfo.windowInfos.push_back( new WindowInfo() );
 
 
 	///////////////////////////////////////
-	//ProjectInfo.windowInfos構造体を設定
+	//projectInfo.windowInfos構造体を設定
 
 	//ウィンドウ名
-	ProjectInfo.windowInfos.back()->SetName( NewWindow.name );
+	projectInfo.windowInfos.back()->SetName( NewWindow.name );
 
 	//ハンドル名
-	ProjectInfo.windowInfos.back()->SetHandleName( NewWindow.HandleName );
+	projectInfo.windowInfos.back()->SetHandleName( NewWindow.HandleName );
 
 	//位置情報
-	ProjectInfo.windowInfos.back()->pos.x=-1;
-	ProjectInfo.windowInfos.back()->pos.y=-1;
-	ProjectInfo.windowInfos.back()->size.cx=480;
-	ProjectInfo.windowInfos.back()->size.cy=360;
+	projectInfo.windowInfos.back()->pos.x=-1;
+	projectInfo.windowInfos.back()->pos.y=-1;
+	projectInfo.windowInfos.back()->size.cx=480;
+	projectInfo.windowInfos.back()->size.cy=360;
 
 	//ウィンドウテキスト
-	ProjectInfo.windowInfos.back()->caption=(char *)HeapAlloc(hHeap,0,lstrlen(NewWindow.name)+1);
-	lstrcpy(ProjectInfo.windowInfos.back()->caption,NewWindow.name);
+	projectInfo.windowInfos.back()->caption=(char *)HeapAlloc(hHeap,0,lstrlen(NewWindow.name)+1);
+	lstrcpy(projectInfo.windowInfos.back()->caption,NewWindow.name);
 
 	//スタイル
@@ -2226,48 +2226,48 @@
 		case WNDTYPE_DEFAULT:
 			//通常ウィンドウ
-			ProjectInfo.windowInfos.back()->style=WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU|WS_THICKFRAME|WS_MINIMIZEBOX|WS_MAXIMIZEBOX;
+			projectInfo.windowInfos.back()->style=WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU|WS_THICKFRAME|WS_MINIMIZEBOX|WS_MAXIMIZEBOX;
 			break;
 		case WNDTYPE_MODALDLG:
 		case WNDTYPE_MODELESSDLG:
 			//ダイアログ テンプレート（最大化、最小化ボタンをなくして、細枠にする）
-			ProjectInfo.windowInfos.back()->style=WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU;
+			projectInfo.windowInfos.back()->style=WS_OVERLAPPED|WS_CAPTION|WS_SYSMENU;
 			break;
 	}
 
 	//拡張スタイル
-	ProjectInfo.windowInfos.back()->ExStyle=0;
+	projectInfo.windowInfos.back()->ExStyle=0;
 
 	//メニュー
-	ProjectInfo.windowInfos.back()->MenuID=0;
+	projectInfo.windowInfos.back()->MenuID=0;
 
 	//ID
-	ProjectInfo.windowInfos.back()->id=0;
+	projectInfo.windowInfos.back()->id=0;
 
 	//背景色
-	ProjectInfo.windowInfos.back()->bgColor=COLOR_3DFACE;
+	projectInfo.windowInfos.back()->bgColor=COLOR_3DFACE;
 
 	//フォント
-	GetDefaultWindowFont(&ProjectInfo.windowInfos.back()->LogFont);
+	GetDefaultWindowFont(&projectInfo.windowInfos.back()->LogFont);
 
 	//アイコン
-	ProjectInfo.windowInfos.back()->IconResName=0;
+	projectInfo.windowInfos.back()->IconResName=0;
 
 	//クラス名
 	lstrcpy(temporary,"NORMAL");
-	ProjectInfo.windowInfos.back()->ClassName=(char *)HeapAlloc(hHeap,0,lstrlen(temporary)+1);
-	lstrcpy(ProjectInfo.windowInfos.back()->ClassName,temporary);
+	projectInfo.windowInfos.back()->ClassName=(char *)HeapAlloc(hHeap,0,lstrlen(temporary)+1);
+	lstrcpy(projectInfo.windowInfos.back()->ClassName,temporary);
 
 	//コールバック関数名
-	ProjectInfo.windowInfos.back()->CallBackName=(char *)HeapAlloc(hHeap,0,lstrlen(NewWindow.CallBackName)+1);
-	lstrcpy(ProjectInfo.windowInfos.back()->CallBackName,NewWindow.CallBackName);
+	projectInfo.windowInfos.back()->CallBackName=(char *)HeapAlloc(hHeap,0,lstrlen(NewWindow.CallBackName)+1);
+	lstrcpy(projectInfo.windowInfos.back()->CallBackName,NewWindow.CallBackName);
 
 	//タイプ識別
-	ProjectInfo.windowInfos.back()->type=NewWindow.type;
+	projectInfo.windowInfos.back()->type=NewWindow.type;
 
 
 	//メッセージ処理ファイル名
-	sprintf(temporary,"%s.ab",ProjectInfo.windowInfos.back()->GetName().c_str());
-	ProjectInfo.windowInfos.back()->filepath=(char *)HeapAlloc(hHeap,0,lstrlen(temporary)+1);
-	lstrcpy(ProjectInfo.windowInfos.back()->filepath,temporary);
+	sprintf(temporary,"%s.ab",projectInfo.windowInfos.back()->GetName().c_str());
+	projectInfo.windowInfos.back()->filepath=(char *)HeapAlloc(hHeap,0,lstrlen(temporary)+1);
+	lstrcpy(projectInfo.windowInfos.back()->filepath,temporary);
 
 
@@ -2282,10 +2282,10 @@
 	//#name#をプロジェクト名に置換
 	pTemp=PermutationWndPgmTemplate(pTemp,
-		ProjectInfo.name,
+		projectInfo.name,
 		NewWindow.name,
 		NewWindow.HandleName,
 		NewWindow.CallBackName);
 
-	sprintf(temporary,"%s%s.ab",ProjectInfo.dir,ProjectInfo.windowInfos.back()->GetName().c_str());
+	sprintf(temporary,"%s%s.ab",projectInfo.dir,projectInfo.windowInfos.back()->GetName().c_str());
 
 	//書き込み
@@ -2305,16 +2305,16 @@
 	tv.item.iImage=2;
 	tv.item.iSelectedImage=2;
-	tv.hParent=ProjectInfo.hWindowTreeItem;
-	lstrcpy( temp2, ProjectInfo.windowInfos.back()->GetName().c_str() );
+	tv.hParent=projectInfo.hWindowTreeItem;
+	lstrcpy( temp2, projectInfo.windowInfos.back()->GetName().c_str() );
 	tv.item.pszText = temp2;
 
-	ProjectInfo.windowInfos.back()->hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
-
-	TreeView_SelectItem(hMaterialTreeView,ProjectInfo.windowInfos.back()->hTreeItem);
-
-
-	ProjectInfo.ModifyOfMaterial=1;
-
-	NewRadWindow( *ProjectInfo.windowInfos.back() );
+	projectInfo.windowInfos.back()->hTreeItem=TreeView_InsertItem(hMaterialTreeView,&tv);
+
+	TreeView_SelectItem(hMaterialTreeView,projectInfo.windowInfos.back()->hTreeItem);
+
+
+	projectInfo.ModifyOfMaterial=1;
+
+	NewRadWindow( *projectInfo.windowInfos.back() );
 }
 void Project_Window_Delete(int WndInfoNum){
@@ -2323,5 +2323,5 @@
 	int i;
 
-	WindowInfo *pWindowInfo = ProjectInfo.windowInfos[WndInfoNum];
+	WindowInfo *pWindowInfo = projectInfo.windowInfos[WndInfoNum];
 
 	//ウィンドウが開かれている場合は閉じる
@@ -2351,7 +2351,7 @@
 	TreeView_DeleteItem(hMaterialTreeView,pWindowInfo->hTreeItem);
 
-	//ProjectInfo.windowInfos構造体から削除
-	ProjectInfo.windowInfos.Erase( WndInfoNum );
-
-	ProjectInfo.ModifyOfMaterial=1;
-}
+	//projectInfo.windowInfos構造体から削除
+	projectInfo.windowInfos.Erase( WndInfoNum );
+
+	projectInfo.ModifyOfMaterial=1;
+}